Name: icingadb
Version: 1.2.0
Release: 1.fc40
Summary: Icinga configuration and state database supporting multiple environments

Group: Productivity/Databases/Daemons

License: GPLv2

URL: https://icinga.com
Source0: icingadb-1.2.0.tgz
Source1: icingadb.service

BuildRequires: gcc
BuildRequires: systemd-rpm-macros

Requires(pre): shadow-utils

%description
Icinga DB is a set of components for publishing, synchronizing and
visualizing monitoring data in the Icinga ecosystem.
This is the Icinga DB daemon, which synchronizes monitoring data
between a Redis® server and a database.

%define debug_package %{nil}

%prep
%autosetup

go build -buildvcs=false -trimpath -o . ./cmd/...

%install

install -Dpm 0755 icingadb %_topdir/BUILDROOT/icingadb-1.2.0-1.fc40.x86_64/usr/sbin/icingadb
install -Dpm 0755 icingadb-migrate %_topdir/BUILDROOT/icingadb-1.2.0-1.fc40.x86_64/usr/sbin/icingadb-migrate
install -dm 0750 %_topdir/BUILDROOT/icingadb-1.2.0-1.fc40.x86_64/etc/icingadb
install -pm 0640 config.example.yml %_topdir/BUILDROOT/icingadb-1.2.0-1.fc40.x86_64/etc/icingadb/config.yml
install -Dpm 0644 %_topdir/SOURCES/icingadb.service %_topdir/BUILDROOT/icingadb-1.2.0-1.fc40.x86_64%{_unitdir}/icingadb.service

install -dm 0755 %_topdir/BUILDROOT/icingadb-1.2.0-1.fc40.x86_64/usr/share/icingadb
cp -rv schema %_topdir/BUILDROOT/icingadb-1.2.0-1.fc40.x86_64/usr/share/icingadb/

%pre
getent passwd icingadb >/dev/null || useradd -rU -d /etc/icingadb -s /sbin/nologin icingadb

%post
%systemd_post icingadb.service

%preun
%systemd_preun icingadb.service

%postun
%systemd_postun_with_restart icingadb.service

%files
%doc README.md
%license LICENSE
/usr/sbin/icingadb
/usr/sbin/icingadb-migrate
%{_unitdir}/icingadb.service
/usr/share/icingadb/schema

%attr(-, icingadb, root) /etc/icingadb
%attr(-, icingadb, root) %config(noreplace) /etc/icingadb/config.yml

%changelog
* Mon Apr 22 2024 Icinga GmbH <info@icinga.com> - 1.2.0-1.fc40
- Version 1.2.0-1

